Electric Utility Network Foundation Error in ArcGIS Pro 3.0

154
7
Jump to solution
07-11-2022 01:04 PM
Todd_Kesselring
New Contributor II

Greetings,

I installed the Electric Utility Network Foundation solution on ArcGIS Pro 3.0 desktop. I got the error message that "GP 'Update Datasources' is inaccessible". Someone in a local GIS user group said they overcame this issue by reverting to an older version of ArcGIS Pro. I would rather stay in the current version of Pro. Is it  possible to fix this issue or to work around it without moving back to an older version of Pro? If not, what version of Pro should I revert back to?

Thanks,

 

Todd Kesselring

0 Kudos
1 Solution

Accepted Solutions
MikeMillerGIS
Esri Frequent Contributor

The solution and tools are not certified on 3.0 and will not be as we are targeting the 2.9/10.9.1 utility network management release.  

We do have a copy of the tools that are compatible with 3.0 though it you need them.  You can find them on our public github repo.

https://github.com/Esri/Utility-Data-Management-Support-Tools/tree/3.0

https://github.com/Esri/Utility-Data-Management-Support-Tools/tree/2.9

 

View solution in original post

7 Replies
MikeMillerGIS
Esri Frequent Contributor

The solution and tools are not certified on 3.0 and will not be as we are targeting the 2.9/10.9.1 utility network management release.  

We do have a copy of the tools that are compatible with 3.0 though it you need them.  You can find them on our public github repo.

https://github.com/Esri/Utility-Data-Management-Support-Tools/tree/3.0

https://github.com/Esri/Utility-Data-Management-Support-Tools/tree/2.9

 

Todd_Kesselring
New Contributor II

To follow up on this I still had the "GP 'Update Datasources' is inaccessible" message after rolling back to Pro 2.9. I then found that UtilityDataManagementSupport.pyt had a red "!" flagging it. I tried to run a repair option but that did not work. Then I downloaded UtilityDataManagementSupport.atbx from https://github.com/Esri/Utility-Data-Management-Support-Tools/tree/2.9 as Mike Miller suggested. I then was able to reset "Update Datasources" to "Update Data Sources". The error messages went away but I am not certain this was the right way to fix it with the difference in extensions (".pyt" vs. ".atbx") and the tool name difference ("Datasources" vs. "Data Sources". I will probably find out as I work on the task in the Utility Network Foundation.

 

0 Kudos
MikeMillerGIS
Esri Frequent Contributor

If you right click, there should be an option to Check Syntax, that could have told us what was wrong.  

Either way:  The new electric foundation solution is shipping this week and will contain that new toolbox(atbx).  That toolbox has a lot of improvements and new tools.  That is the right toolbox to use.  

0 Kudos
Todd_Kesselring
New Contributor II

When will that be available Mike? Is it still best to use with Pro 2.9?

0 Kudos
MikeMillerGIS
Esri Frequent Contributor

Should be available tomorrow some time.  It will be available via the solution app in ArcGIS Online.  2.9 is the correct version.

0 Kudos
Todd_Kesselring
New Contributor II

Oh good. I'm glad I don't have to ask our IT people to switch versions! It sounds like this should work now.

Thanks!

 

Todd Kesselring

0 Kudos
Todd_Kesselring
New Contributor II

I will install ArcGIS Pro 2.9 on my laptop and download the solution again. It would probably be better for me to work in the preferred version for the utility network. Thanks Mike!

0 Kudos